org.apache.ignite.spi.systemview.view

## Interface SystemView<R>

Type Parameters:
  `R` - Type of the row.

All Superinterfaces:
  Iterable<R>

All Known Implementing Classes:
  ScanQuerySystemView, SystemViewAdapter, SystemViewInnerCollectionsAdapter

    public interface SystemView<R>
    extends Iterable<R>

Implementation provides data for some internal Ignite objects.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `description()`
`String` `name()`
`Class<R>` `rowClass()`
`int` `size()`
`SystemViewRowAttributeWalker<R>` `walker()`

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

### Method Detail

#### walker

    SystemViewRowAttributeWalker<R> walker()

Returns:
  Helper for exporters.

#### rowClass

    Class<R> rowClass()

Returns:
  Class of the row.

#### name

    String name()

Returns:
  View name.

#### description

    String description()

Returns:
  View description.

#### size

    int size()

Returns:
  Size of the view.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020